## org.eclipse.datatools.sqltools.sqleditor.internal.actions
Class ToggleCommentAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.ui.texteditor.ResourceAction
                      org.eclipse.ui.texteditor.TextEditorAction
                          org.eclipse.datatools.sqltools.sqleditor.internal.actions.ToggleCommentAction

All Implemented Interfaces:
  IPageUpdate, org.eclipse.jface.action.IAction, org.eclipse.ui.texteditor.IUpdate

    public class ToggleCommentAction

extends org.eclipse.ui.texteditor.TextEditorAction
implements IPageUpdate

An action which toggles comment prefixes on the selected lines.

Author:
  Li Huang

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ToggleCommentAction(java.util.ResourceBundle bundle, java.lang.String prefix, org.eclipse.ui.texteditor.ITextEditor editor)` Creates and initializes the action for the given sql editor.

Method Summary
`void` `configure(org.eclipse.jface.text.source.ISourceViewer sourceViewer, org.eclipse.jface.text.source.SourceViewerConfiguration configuration)`
`void` `run()` Implementation of the `IAction` prototype.
`void` `setEditor(org.eclipse.ui.texteditor.ITextEditor editor)`
`void` `update()` Implementation of the `IUpdate` prototype method discovers the operation through the current editor's `ITextOperationTarget` adapter, and sets the enabled state accordingly.
`void` `update(boolean isSQLEditorPage)` Requests that this object update itself when the page is switched.

Methods inherited from class org.eclipse.ui.texteditor.ResourceAction
`setHelpContextId`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### ToggleCommentAction

    public ToggleCommentAction(java.util.ResourceBundle bundle,
                               java.lang.String prefix,
                               org.eclipse.ui.texteditor.ITextEditor editor)

  Creates and initializes the action for the given sql editor. The action configures its visual representation from the given resource bundle.

  Parameters:
    `bundle` - the resource bundle
    `prefix` - a prefix to be prepended to the various resource keys (described in `ResourceAction` constructor), or `null` if none
    `editor` - the sql editor
  See Also:
    `ResourceAction.ResourceAction(ResourceBundle, String, int)`

Method Detail

### run

    public void run()

  Implementation of the `IAction` prototype. Checks if the selected lines are all commented or not and uncomments/comments them respectively.

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `org.eclipse.jface.action.Action`

### update

    public void update()

  Implementation of the `IUpdate` prototype method discovers the operation through the current editor's `ITextOperationTarget` adapter, and sets the enabled state accordingly.

  Specified by:
    `update` in interface `org.eclipse.ui.texteditor.IUpdate`
  Overrides:
    `update` in class `org.eclipse.ui.texteditor.TextEditorAction`

### setEditor

    public void setEditor(org.eclipse.ui.texteditor.ITextEditor editor)

  Overrides:
    `setEditor` in class `org.eclipse.ui.texteditor.TextEditorAction`

### configure

    public void configure(org.eclipse.jface.text.source.ISourceViewer sourceViewer,
                          org.eclipse.jface.text.source.SourceViewerConfiguration configuration)

### update

    public void update(boolean isSQLEditorPage)

  Description copied from interface: `IPageUpdate`
  Requests that this object update itself when the page is switched.

  Specified by:
    `update` in interface `IPageUpdate`
  Parameters:
    `isSQLEditorPage` - whether the active page is an embeded instance of SQLEditor.